Package org.apache.solr.common.luke

# Enum Class FieldFlag

java.lang.Object
java.lang.Enum<FieldFlag>
org.apache.solr.common.luke.FieldFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<FieldFlag>`, `java.lang.constant.Constable`

public enum FieldFlag extends Enum<FieldFlag>

Since:
  solr 1.3

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BINARY`
`DOC_VALUES`
`INDEXED`
`LAZY`
`MULTI_VALUED`
`OMIT_NORMS`
`OMIT_POSITIONS`
`OMIT_TF`
`SORT_MISSING_FIRST`
`SORT_MISSING_LAST`
`STORE_OFFSETS_WITH_POSITIONS`
`STORED`
`TERM_VECTOR_OFFSET`
`TERM_VECTOR_PAYLOADS`
`TERM_VECTOR_POSITION`
`TERM_VECTOR_STORED`
`TOKENIZED`
`UNINVERTIBLE`

## Method Summary

Modifier and Type
Method
Description
`char`
`getAbbreviation()`
`String`
`getDisplay()`
`static FieldFlag`
`getFlag(char abbrev)`
`String`
`toString()`
`static FieldFlag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FieldFlag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INDEXED

public static final FieldFlag INDEXED

### TOKENIZED

public static final FieldFlag TOKENIZED

### STORED

public static final FieldFlag STORED

### DOC_VALUES

public static final FieldFlag DOC_VALUES

### UNINVERTIBLE

public static final FieldFlag UNINVERTIBLE

### MULTI_VALUED

public static final FieldFlag MULTI_VALUED

### TERM_VECTOR_STORED

public static final FieldFlag TERM_VECTOR_STORED

### TERM_VECTOR_OFFSET

public static final FieldFlag TERM_VECTOR_OFFSET

### TERM_VECTOR_POSITION

public static final FieldFlag TERM_VECTOR_POSITION

### TERM_VECTOR_PAYLOADS

public static final FieldFlag TERM_VECTOR_PAYLOADS

### OMIT_NORMS

public static final FieldFlag OMIT_NORMS

### OMIT_TF

public static final FieldFlag OMIT_TF

### OMIT_POSITIONS

public static final FieldFlag OMIT_POSITIONS

### STORE_OFFSETS_WITH_POSITIONS

public static final FieldFlag STORE_OFFSETS_WITH_POSITIONS

### LAZY

public static final FieldFlag LAZY

### BINARY

public static final FieldFlag BINARY

### SORT_MISSING_FIRST

public static final FieldFlag SORT_MISSING_FIRST

### SORT_MISSING_LAST

public static final FieldFlag SORT_MISSING_LAST

## Method Details

### values

public static FieldFlag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FieldFlag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getFlag

public static FieldFlag getFlag(char abbrev)

### getAbbreviation

public char getAbbreviation()

### getDisplay

public String getDisplay()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<FieldFlag>`